<div class="container">
  <div class="card">
    <div class="card-header">
      <h4>Lista de Clientes</h4>
    </div>

    <a type="button" class="btn btn-primary" [routerLink]="['/client']" *ngIf="isAdmin">
      Adicionar Cliente</a>
    <div class="card-body">
      <table class="table">
        <thead>
          <tr>
            <th scope="col">#</th>
            <th scope="col">Nome</th>
            <th scope="col">Endereço</th>
            <th scope="col">Estado</th>
            <th scope="col">Ações</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of content">
            <th scope="row">{{item?.id}}</th>
            <td>{{item?.name}}</td>
            <td>{{item?.address?.address}}</td>
            <td>{{item?.address?.uf}}</td>
            <td>
              <button class="btn btn-primary ml-2 mr-2" [routerLink]="['/client/'+item?.id]">Editar</button>
              <button class="btn btn-danger ml-2 mr-2" (click)="delete(item?.id)" [disabled]="!isAdmin">Apagar</button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
